#!/bin/sh


INTERSCAN_HTTPD_SERVICE=0

#---------------------------------------------------------
#  Set platform dependent variables
#---------------------------------------------------------
SetPlatformDependVar()
{
	INTERSCAN_HTTPD_SERVICE=/etc/rc.d/rc2.d/K99IScanHttpd
}

#---------------------------------------------------------
#  Main script
#---------------------------------------------------------
if [ -f /etc/iscan/pkg/ISVWROOT ]
then
	isuxroot=`cat /etc/iscan/pkg/ISVWROOT`
fi

emuxroot=`cat /etc/iscan_plugins/em.dsc | grep root_path | sed -e 's/=/ /' | awk '{print $2}'`

ln -s $emuxroot/Plug-Ins/EM/cgi $isuxroot/ISADMIN/IScan.adm/cgi-bin/EM
		
###Web Server Configuration.	
#AliasLine='Alias /eManager/ '$emuxroot'/Plug-Ins/EM/cgi/Pages/'
#echo $AliasLine >> $isuxroot/ISADMIN/IScan.adm/conf/srm.conf

#AliasLine='Alias /e-images/ '$emuxroot'/Plug-Ins/EM/cgi/e-images/'
#echo $AliasLine >> $isuxroot/ISADMIN/IScan.adm/conf/srm.conf

#AliasLine='Alias /eJava/ '$emuxroot'/Plug-Ins/EM/cgi/Java/'
#echo $AliasLine >> $isuxroot/ISADMIN/IScan.adm/conf/srm.conf

HttpdConf=$isuxroot/ISADMIN/IScan.adm/conf/httpd.conf
sed '/<IfModule mod_alias.c>/a\
Alias /eManager/ '$emuxroot'/Plug-Ins/EM/cgi/Pages/\
Alias /e-images/ '$emuxroot'/Plug-Ins/EM/cgi/e-images/\
Alias /eJava/ '$emuxroot'/Plug-Ins/EM/cgi/Java/' $HttpdConf > /tmp/httpd.conf
mv /tmp/httpd.conf $HttpdConf

### Add security check for *.exe 
#AccessConf=$isuxroot/ISADMIN/IScan.adm/conf/access.conf
#cat $AccessConf | sed -e 's/\.cgi\$/\.(cgi\|exe)\$/1' > /tmp/access.tmp
#mv /tmp/access.tmp $AccessConf

SetPlatformDependVar

$INTERSCAN_HTTPD_SERVICE stop
$INTERSCAN_HTTPD_SERVICE start
