#!/bin/sh
###
###
###
PATH=/bin:/sbin:/usr/bin:/usr/ucb:/usr/sbin:/usr/local/bin:/usr/local/sbin
export PATH

SYS_NAME=`uname -s`
case $SYS_NAME in
'HP-UX')
        RCPATH=/sbin/init.d
        Ssendmail=iscansmtps
        ;;
'OSF1')
        RCPATH=/sbin/init.d
        Ssendmail=sendmail
        ;;
'Linux')
        RCPATH=/etc/rc.d/init.d

        if [ -f /etc/SuSE-release ] ; then
	    RCPATH=/etc/init.d
	fi

	Ssendmail=sendmail
        ;;
'AIX')
#       RCPATH=/etc/rc.d/rc2.d
        RCPATH=/etc/rc.iscan
#       RCFILE_ORIG=/etc/rc.issmtp
        Ssendmail=rc.issmtp
        Sftp=rc.isftp
        Shttp=rc.isproxy
;;
*)
        RCPATH=/etc/rc2.d
        Ssendmail=S88sendmail
        ;;
esac


PKGPATH="/etc/iscan/pkg"
GIFPATH="/is-images/"
TOGONGIF="togon.gif"
TOGOFFGIF="togoff.gif"
INSTPKG=0 

printf "Content-Type: text/html\n\n"

printf "<html><head><title> `gettxt iscan:17 \"Turn On/Off InterScan\"` </title></head>\n"
printf "<BODY BGCOLOR=#FFFFFF>\n"
printf "<H4><FONT FACE=\"Arial, Scans-Serif\" COLOR=#083194>Turn On/Off InterScan</FONT></H4>"
printf "<BR>\n"
printf "<BR>\n"
printf "<FORM ACTION=\"/turnoff_on.cgi\" METHOD=GET>\n"
printf "<UL>\n"
if [ -f $PKGPATH/ISSMTP ] ; then 
	INSTPKG=1
	if [ $SYS_NAME = "Linux" ] ; then
	    PID=`ps ax | grep /etc/iscan/sendmail | grep -v grep`
	    dport=`/etc/iscan/getconf smtp local_daemon_port`
	    PIDd=`ps ax | grep sendmail: | grep $dport |grep -v grep`
	    PIDf=`ps ax | grep "/usr/lib/sendmail -q" | grep -v grep`
	else
	    PID=`ps -ef | grep /etc/iscan/sendmail | grep -v grep`
	    #get local_daemon_port
	    dport=`/etc/iscan/getconf smtp local_daemon_port`
	    #if sendmail daemon running
	    PIDd=`ps -ef | grep "/usr/lib/sendmail -bd" | grep -v grep`
	    PIDf=`ps -ef | grep "/usr/lib/sendmail -q" | grep -v grep`
	fi
	if [ "$PID" != "" ] ; then
	  #start daemon
	  local_mode=`/etc/iscan/getconf smtp local_mode`
	  command_mode=`/etc/iscan/getconf smtp command_mode`
	  if [ "$local_mode" = "yes" ] && [ "$command_mode" = "no" ] ; then
	    if [ "$PIDd" = "" ] ; then
	      printf "<TD> <FONT COLOR=#00009F>To start the sendmail daemon, run <i> <FONT COLOR=\"red\">$RCPATH/$Ssendmail start </FONT></i> command while logged on as a root user.<br>  </FONT></TD>\n"
	    fi
	  fi
	  if [ "$local_mode" = "yes" ] && [ "$command_mode" = "yes" ] ; then
	    printf "<TD> <FONT COLOR=#00009F>To start the sendmail daemon to process queue, run <i> <FONT COLOR=\"red\">/usr/lib/sendmail -q1h </FONT></i> command while logged on as a root user.<br>  </FONT></TD>\n"
	  fi
	  printf "<TD><a href=\"/turnoff_on.cgi?service=mail&action=off\">\n"
          printf "<IMG SRC=\"$GIFPATH$TOGONGIF\" ALIGN=MIDDLE BORDER=0></A>"
          printf "<FONT COLOR=#00009F><B>  MAIL ON</B></FONT></TD>\n"
	else
	  #stop daemon
	  local_mode=`/etc/iscan/getconf smtp local_mode`
	  command_mode=`/etc/iscan/getconf smtp command_mode`
	  if [ "$local_mode" = "yes" ] ; then
	    if [ "$PIDd" != "" ] ; then
	      printf "<TD> <FONT COLOR=#00009F>To stop the sendmail daemon, run <i> <FONT COLOR=\"red\">$RCPATH/$Ssendmail stop </FONT></i> command while logged on as a root user.<br>  </FONT></TD>\n"
	    else 
	      if [ "$command_mode" = "yes" ] ; then
	        if [ "$PIDf" != "" ] ; then
	          printf "<TD> <FONT COLOR=#00009F>To stop the sendmail flush daemon, run <i> <FONT COLOR=\"red\">$RCPATH/$Ssendmail stop </FONT></i> command while logged on as a root user.<br>  </FONT></TD>\n"
	       fi
	      fi
	    fi
	  else
	    # us-7036, us-7037
	    PIDd=`ps -ef | grep "/usr/lib/sendmail -q1h" | grep -v grep`
	    if [ "$PIDd" != "" ] ; then
	      printf "<TD> <FONT COLOR=#00009F>To stop /usr/lib/sendmail daemon, run <i> <FONT COLOR=\"red\">$RCPATH/$Ssendmail stop </FONT></i> command while logged on as a root user.<br>  </FONT></TD>\n"
	    fi
	  fi
	  printf "<TD><a href=\"/turnoff_on.cgi?service=mail&action=on\">\n"
          printf "<IMG SRC=\"$GIFPATH$TOGOFFGIF\" ALIGN=MIDDLE BORDER=0></A>"
          printf "<FONT COLOR=#00009F><B>  MAIL OFF</B></FONT>\n"
	fi 
	printf "<BR>\n" 
fi

if [ -f $PKGPATH/ISFTP ] ; then  
	INSTPKG=1
	if [ $SYS_NAME = "Linux" ] ; then
	    PID=`ps ax | grep isftpd | grep -v grep`
	else
	    PID=`ps -ef | grep isftpd | grep -v grep`
	fi
        if [ "$PID" != "" ] ; then
	  printf "<TD><a href=\"/turnoff_on.cgi?service=ftp&action=off\">\n"
          printf "<IMG SRC=\"$GIFPATH$TOGONGIF\" ALIGN=MIDDLE BORDER=0></A>"
          printf "<FONT COLOR=#00009F><B>  FTP ON</B></FONT>\n"
        else
	  printf "<TD><a href=\"/turnoff_on.cgi?service=ftp&action=on\">\n"
          printf "<IMG SRC=\"$GIFPATH$TOGOFFGIF\" ALIGN=MIDDLE BORDER=0></A>"
          printf "<FONT COLOR=#00009F><B>  FTP OFF</B></FONT>\n"
        fi 
printf "<BR>\n" 
fi

if [ -f $PKGPATH/ISHTTP ] ; then  
	INSTPKG=1
	if [ $SYS_NAME = "Linux" ] ; then
	    PID=`ps ax | grep ishttpd | grep -v grep`
	else
	    PID=`ps -ef | grep ishttpd | grep -v grep`
	fi
        if [ "$PID" != "" ] ; then
	  printf "<TD><a href=\"/turnoff_on.cgi?service=http&action=off\">\n"
          printf "<IMG SRC=\"$GIFPATH$TOGONGIF\" ALIGN=MIDDLE BORDER=0></A>"
          printf "<FONT COLOR=#00009F><B>  HTTP ON</B></FONT>\n"
        else
	  printf "<TD><a href=\"/turnoff_on.cgi?service=http&action=on\">\n"
          printf "<IMG SRC=\"$GIFPATH$TOGOFFGIF\" ALIGN=MIDDLE BORDER=0></A>"
          printf "<FONT COLOR=#00009F><B>  HTTP OFF</B></FONT>\n"
        fi
	printf "<BR>\n"
fi

if [ -f $PKGPATH/ISCVP ] ; then  
	INSTPKG=1
	if [ $SYS_NAME = "Linux" ] ; then
	    PID=`ps ax | grep iscvp | grep -v grep`
	else
	    PID=`ps -ef | grep iscvp | grep -v grep`
	fi
        if [ "$PID" != "" ] ; then
	  printf "<TD><a href=\"/turnoff_on.cgi?service=cvp&action=off\">\n"
          printf "<IMG SRC=\"$GIFPATH$TOGONGIF\" ALIGN=MIDDLE BORDER=0></A>"
          printf "<FONT COLOR=#00009F><B>  CVP ON</B></FONT>\n"
        else
	  printf "<TD><a href=\"/turnoff_on.cgi?service=cvp&action=on\">\n"
          printf "<IMG SRC=\"$GIFPATH$TOGOFFGIF\" ALIGN=MIDDLE BORDER=0></A>"
          printf "<FONT COLOR=#00009F><B>  CVP OFF</B></FONT>\n"
        fi
	printf "<BR>\n" 
fi
 
printf "<BR>\n" 
printf "</UL>\n" 
printf "<BR>\n"
printf "<BR>\n"
printf "</FORM>\n"
## if no pkg installed show below msg
	if [ "$INSTPKG" != "1" ] ; then 
		printf "<H5>Can not find any InterScan VirusWall in the system.</H5>\n\n"
	fi  
cat /etc/iscan/eoiscan.input
