##############################################################################
##                                                                          ##
## resend.sh: The utility to re-send mail according to DF file.             ##
##                                                                          ##
## Version: 1.0.1                                                           ##
##                                                                          ##
## Date: 2001/01/31                                                         ##
##                                                                          ##
## Copyright (c) 2000 Trend Micro, Inc.                                     ##
##                                                                          ##
##############################################################################
#!/usr/bin/ksh

if [ $# -lt 1 ] ; then
	clear
	echo 
	echo "    Usage: resend.sh -A|-a"
	echo "    -A : resend All DF file"
	echo "    -a : resend someone DF file"
	echo
	exit 1
fi

case "$1" in
'-A')
ls -al | grep AF |awk '{print $9}' > A.txt

A=./A.txt

for i in `cat $A`

do

#Get To
		grep ^T $i > emux
		grep ^T\< emux > tmp1
		grep -v ^T\< emux > tmp2

rm emux

grep ^T tmp1 | sed -e 's/T//1' -e 's/<//1' -e 's/>//1' > tmp.txt
grep ^T tmp2 | sed 's/ /=/g'|sed -e 's/</ /g' -e 's/>/ /g'|awk '{print $2}' >> tmp.txt			
F=`grep ^F $i|sed -e 's/F//1' -e 's/<//1' -e 's/>//1'`

#Get D file name
		D=`echo $i | sed -e 's/A/D/1'`  
#sendmail
tmp=./tmp.txt

for j in `cat $tmp` 
do
  /usr/lib/sendmail -f$F $j < $D
done
rm  tmp.txt
rm  tmp1
rm  tmp2
done
rm  A.txt
echo "Finish resendmail "

;;
'-a')
if [ $# -lt 2 ] ; then
	clear
	echo 
	echo "    Usage: resend.sh -a filename"
	echo "    filename must be DF file"
	echo
	exit 1
fi

D=$2

A=`echo $D | sed -e 's/D/A/1'`
F=`grep ^F $A|sed -e 's/F//1' -e 's/<//1' -e 's/>//1'`

grep ^T $A > emux
grep ^T\< emux > tmp1
grep -v ^T\< emux > tmp2

rm emux

grep ^T tmp1 | sed -e 's/T//1' -e 's/<//1' -e 's/>//1' > tmp.txt
grep ^T tmp2 | sed 's/ /=/g'|sed -e 's/</ /g' -e 's/>/ /g'|awk '{print $2}' >> tmp.txt


tmp=./tmp.txt

for j in `cat $tmp` 
do
  /usr/lib/sendmail -f$F $j < $D
done
rm  tmp.txt
rm  tmp1
rm  tmp2
echo "resendmail finish"
;;
*)
	echo "Usage: $0 comand (-A|-a )"
	echo "-A: autosend All Quar files" 
	echo "-a: resendmail one Quar file"
	exit 1
	;;
esac
exit 0
